cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry

## Class RTB_Z74

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry.RTB_Z74

-     public final class RTB_Z74
      extends Message

  RTB - Personnel Information Message (Event Z74). This event is use for Retrieve all information about phone calls made during a defined interval either in a detailed or an accumulative format. The identifier for the patient must be given.

  Represents a RTB_Z74 message structure (see chapter 4.6.2). This structure contains the following elements:

  0: MSH (Message Header) SINGLE_COMPULSARY
  1: MSA (Message Acknowledgment) SINGLE_COMPULSARY
  2: ERR (Error) MULTIPLE_OPTIONAL
  3: SFT (Software Segment) MULTIPLE_OPTIONAL
  4: QAK (Query Acknowledgment) SINGLE_COMPULSARY
  5: QPD (Query Parameter Definition) SINGLE_COMPULSARY
  6: RTB_Z74_ROW_DEFINITION (a Group object) SINGLE_OPTIONAL
  7: DSC (Continuation Pointer) SINGLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.5 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.5 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  RTB_Z74 objZ74 = (RTB_Z74)MessageFactory.createInstance().createSendSupportedMessage("RTB", "Z74");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addErrorSegment(ERR objERR)` Adds the Error (ERR) Segment to this message.
    `void` | `addErrorSegments(ISingleCollection<ERR> objERRSegmentCollection)` Adds the collection of Error (ERR) Segment to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds the collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds the Software Segment(SFT) to this message.
    `DSC` | `getContinuationPointerSegment()` Retrieves the Continuation Pointer(DSC) Segment present in this message
    `ISingleCollection<ERR>` | `getErrorSegments()` Retrieves the Collection of Error(ERR) Segment present in this message.
    `MSA` | `getMessageAcknowledgmentSegment()` Retrieves Message Acknowledgment(MSA) segment present in this message
    `QAK` | `getQueryAcknowledgementSegment()` Retrieves the Query Acknowledgement(QAK) Segment present in this message
    `QPD` | `getQueryParameterDefinitionSegment()` Retrieves the Query Parameter Definition(QPD) Segment present in this message
    `IGroup` | `getRowDefinitionGroup()` Retrieves ROW DEFINITION Group present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves the Collection of Software Segments(SFT) present in this message.
    `void` | `setContinuationPointerSegment(DSC objDSC)` Set the value of Continuation Pointer Segment for this message,overwrites if already present.
    `void` | `setMessageAcknowledgmentSegment(MSA objMSA)` Sets value of Message Acknowledgment segment for this message,overwrites if already present.
    `void` | `setQueryAcknowledgementSegment(QAK objQAK)` Set the value of Query Acknowledgement Segment for this message,overwrites if already present.
    `void` | `setQueryParameterDefinitionSegment(QPD objQPD)` Set the value of Query Parameter Definition Segment for this message,overwrites if already present.
    `void` | `setRowDefinitionGroup(IGroup objGroup)` Sets value of ROW DEFINITION Group for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMessageAcknowledgmentSegment

          public MSA getMessageAcknowledgmentSegment()

      Retrieves Message Acknowledgment(MSA) segment present in this message
      Returns:
        MSA - the Message Acknowledgment Segment present in this message or null if unavailable.

    - #### setMessageAcknowledgmentSegment

          public void setMessageAcknowledgmentSegment(MSA objMSA)

      Sets value of Message Acknowledgment segment for this message,overwrites if already present.
      Parameters:
        `objMSA` - Specified Message Acknowledgment Segment

    - #### getErrorSegments

          public ISingleCollection<ERR> getErrorSegments()

      Retrieves the Collection of Error(ERR) Segment present in this message.
      Returns:
        ISingleCollection - Collection of Error (ERR) Segments present in this message.

    - #### addErrorSegment

          public void addErrorSegment(ERR objERR)

      Adds the Error (ERR) Segment to this message.
      Parameters:
        `objERR` - Specified Error (ERR) Segment to this message.

    - #### addErrorSegments

          public void addErrorSegments(ISingleCollection<ERR> objERRSegmentCollection)

      Adds the collection of Error (ERR) Segment to this message.
      Parameters:
        `objERRSegmentCollection` - Collection of Error Segments to add in this message

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves the Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds the Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds the collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getQueryAcknowledgementSegment

          public QAK getQueryAcknowledgementSegment()

      Retrieves the Query Acknowledgement(QAK) Segment present in this message
      Returns:
        QAK - the Query Acknowledgement Segment present in this message or null if unavailable.

    - #### setQueryAcknowledgementSegment

          public void setQueryAcknowledgementSegment(QAK objQAK)

      Set the value of Query Acknowledgement Segment for this message,overwrites if already present.
      Parameters:
        `objQAK` - Specified Query Acknowledgement Segment

    - #### getQueryParameterDefinitionSegment

          public QPD getQueryParameterDefinitionSegment()

      Retrieves the Query Parameter Definition(QPD) Segment present in this message
      Returns:
        QPD - the Query Parameter Definition Segment present in this message or null if unavailable.

    - #### setQueryParameterDefinitionSegment

          public void setQueryParameterDefinitionSegment(QPD objQPD)

      Set the value of Query Parameter Definition Segment for this message,overwrites if already present.
      Parameters:
        `objQPD` - Specified Query Parameter Definition Segment

    - #### getRowDefinitionGroup

          public IGroup getRowDefinitionGroup()

      Retrieves ROW DEFINITION Group present in this message.
      Returns:
        Group - ROW DEFINITION Group present in this message.

    - #### setRowDefinitionGroup

          public void setRowDefinitionGroup(IGroup objGroup)

      Sets value of ROW DEFINITION Group for this message,overwrites if already present.
      Parameters:
        `objGroup` - Specified ROW DEFINITION Group

    - #### getContinuationPointerSegment

          public DSC getContinuationPointerSegment()

      Retrieves the Continuation Pointer(DSC) Segment present in this message
      Returns:
        DSC - the Continuation Pointer Segment present in this message or null if unavailable.

    - #### setContinuationPointerSegment

          public void setContinuationPointerSegment(DSC objDSC)

      Set the value of Continuation Pointer Segment for this message,overwrites if already present.
      Parameters:
        `objDSC` - Specified Continuation Pointer Segment